Subject: RE: Cygwin participation threshold
From: Bernard Dautrevaux <[email-masked]>
To: "'DJ Delorie'" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 25 Feb 1999 20:15:06 +0100

> -----Original Message-----
> From: DJ Delorie [mailto:[email-masked]]
> Sent: Thursday, February 25, 1999 7:36 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: Cygwin participation threshold
> 
> 
> 
> > Does the GPL applies to GNUPro, which is distributed for commercial
> > use?
> 
> GNUPro is made up of a number of components with a number of licensing
> terms, just like djgpp is.  Those parts that are copyrighted by
> authors other than Cygnus, like gcc, must be distributed under the
> terms the author supplied, in this case the GPL.  Cygnus can do
> nothing about that.
> 
> However, Cygnus is the author of some of those parts (like I'm the
> author of djgpp's libc) and can choose alternate terms for alternate
> distributions.  For example, our C runtime and cygwin runtimes were
> written by us, so we can decide that they're GPL for this release, and
> proprietary for that release.  If you purchase a GNUPro distribution
> from us, it comes with the same software as a net release (except it's
> been QAd, may have some as-yet-unreleased improvements over the net
> release, and is supported by Cygnus) but we use a different license
> that lets you use our runtimes in proprietary applications.  It just
> isn't practical to provide source code for cell phones :) The 
> fees from
> these sales are the primary source of funding for the software, and
> thus pay for the net releases.
> 

So if I understand you corectly, if I *pay* it may be interesting for me
to contribute *pro-bono* to the net release? perhaps I'll negociate
discounts on my payments against my contributions? :-) 

Seriously I effectively remember having noted that I may get a cygwin
release not covered by the GPL against a fee (the one thing I don't know
is "how much?"); however I think it's quite discouraging to see Cygnus,
known to be able to earn its life with free software due to its
excellent support to its high-grade customers (I think I remember
support contracts with Cygnus were quite expensive), shift to a purely
mercantile strategy: If you pay, you'll get the right to earn some money
and to use some proprietary Cygnus code and corrections that may never
be put in the net release...

Too bad for free software fate :-( or *please* explain me that I'm plain
wrong and that Cygnus is not doing anything like that...

Best regards,

		Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Send a message to [email-masked]